
# gulpfile.js文件介绍



---



* ### gulpfile.js_文件
    - `gulp命令`
      - `gulp-jshint 检查代码，打印报告信息` 
 - `gulp-useref  html页面中的js,css引用进行合并,压缩等操作` 
 - `gulp sass  把 Sass 编译成 CSS`
 - `gulp-concat 合并javascript文件,减少网络请求. `
 - `gulp-uglify 压缩javascript文件,减小文件大小`
  - `gulp-rename 把处理好的文件存放到指定的位置之前,我们可以先去重新命名一下它`   
 - `gulp-cssnano 优化 css 的插件如空白转换`
 - `gulp-run-sequence 控制多个任务进行顺序执行或者并行执行插件安装`
 - `gulp-clean 清理档案`
 - `gulp-notify 显示报错信息和报错后不终止当前gulp任务`
 - `gulp-ng-config 提示信息`
 - `tiny-lr 自动刷新页面`
 - `lazypipe 提出流中的公共部分`





# gulpfile.js文件介绍



---



* ### gulpfile.js_文件
    - `gulp命令`
      - `npm install gulp-jshint --save-dev jshint 安装失败问题: 解决方案: npm install --save-dev jshint gulp-jshint` 
 - `npm install gulp-sass --save-dev 编译sass文件` 
 - `npm install gulp-concat --save-dev 合并js`
 - `npm install gulp-uglify --save-dev 通过UglifyJS来压缩JS文件. `
 - `npm install gulp-rename --save-dev 重命名文件的插件，当要把一个文件存储为不同版本时可以使用。比如在需要一个style.css同时你有需要一个style.min.css`
  - `npm install gulp-autoprefixer --save-dev 使用Autoprefixer来补全浏览器兼容的css。`
 - `gulp-gzip 压缩zip`
 - `gulp-imagemin 压缩png/jpg/git/svg 格式图片文件`
 - `gulp-clean 清理档案`
